Bug 11946 - add table sorters to label batches
Summary: add table sorters to label batches
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-14 20:19 UTC by Nicole C. Engard
Modified: 2015-06-04 23:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
card batch (42.67 KB, image/png)
2014-03-14 20:19 UTC, Nicole C. Engard
Details
Bug 11946 - add table sorters to label and patron card batches (11.25 KB, patch)
2014-03-24 13:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11946 - add table sorters to label and patron card batches (11.21 KB, patch)
2014-03-25 17:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11946 - add table sorters to label and patron card batches (11.40 KB, patch)
2014-03-25 17:29 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 11946 - add table sorters to label and patron card batches (11.61 KB, patch)
2014-03-31 09:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-14 20:19:50 UTC
Created attachment 26373 [details]
card batch

When viewing a big batch of cards it's often handy to be able to sort. On this page: cgi-bin/koha/patroncards/edit-batch.pl it would be nice to see the new table sorter/search.
Comment 1 Owen Leonard 2014-03-24 13:02:40 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2014-03-25 17:28:33 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2014-03-25 17:29:26 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2014-03-25 17:30:33 UTC
More accurately, I asked to get the sorter added to patron cards and when I reported the issue here I said patron cards and labels in the title. So if there can be a follow up to add this to the patron cards that would be awesome!

Nicole
Comment 5 Katrin Fischer 2014-03-31 09:53:09 UTC
Created attachment 26701 [details] [review]
[PASSED QA] Bug 11946 - add table sorters to label and patron card batches

When viewing batches of titles in the label creator module the table is
not sortable. This patch adds table sorting.

The patch also makes some corrections of invalid markup and moves
informational/error messages to the top of the page rather than in a
sidebar. This change lets the table and sorting controls expand into a
wider space.

To test, go to Tools -> Labels -> Manage label batches. View an existing
batch or create a new batch and populate it with items. Table sorting
controls should work correctly.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Solves 1/2 of this bug which is to add the sorters to labels, the original
request was to add this to patron cards as well.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, passes all tests and QA script.
Template could be improved forther by showing
the itemtype description instead of the code in the table.
Comment 6 Galen Charlton 2014-03-31 14:25:32 UTC
Pushed to master.  Since the patch covered only half of the request, I've opened a new bug, bug 12018, for the patron card portion.

Thanks, Owen!
Comment 7 Fridolin SOMERS 2014-06-18 15:51:39 UTC
Pushed to 3.14.x, will be in 3.14.08